Bug 115655 - RFE: include iptables reload
RFE: include iptables reload
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iptables (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-14 08:28 EST by Michael Redinger
Modified: 2011-06-02 07:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 10:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2004-02-14 08:28:12 EST
Description of problem:

When restarting iptables, existing connections seem to get closed.
(I experience this with ssh (but I am using ssh.com): all ssh
connections except for the one where I run "service iptables
restart" are closed (I do not know why this one connection 
survives ...).

This can be fixed by not reloading the kernel modules.

Could you add a service iptables reload? It is basically the same
as restart, but without removing the modules:


reload() {
    # Do not stop if iptables module is not loaded.
    [ -e "$PROC_IPTABLES_NAMES" ] || return 1

    flush_n_delete
    set_policy ACCEPT

#    echo -n $"Unloading $IPTABLES modules: "
#    ret=0
#    rmmod_r ${IPV}_tables
#    let ret+=$?;
#    rmmod_r ${IPV}_conntrack
#    let ret+=$?;

#    [ $ret -eq 0 ] && success || failure
#    echo

    rm -f $VAR_SUBSYS_IPTABLES

    start
}



Version-Release number of selected component (if applicable):
Taroon Update 1
iptables 1.2.8-12
kernel 2.4.21-9.EL


Greetings,
Michael
Comment 1 Suzanne Hillman 2004-02-16 17:07:38 EST
Internal RFE bug #115895 entered. Will be considered for future releases.
Comment 2 Suzanne Hillman 2004-04-22 10:36:21 EDT
Thank you for the suggestion. It was passed along to product
management, but not committed for a future release.

Note You need to log in before you can comment on or make changes to this bug.